# AirportPickerWindow Class Reference

Inheritance diagram for AirportPickerWindow:

## Public Member Functions
| AirportPickerWindow (const WindowDesc *desc, Window *parent)
virtual void | OnPaint ()
| The window must be repainted.
void | SelectOtherAirport (byte airport_id)
virtual void | OnInvalidateData (int data=0)
| Some data on this window has become invalid.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnTick ()
| Called once per (game) tick.

## Detailed Description

Definition at line 186 of file airport_gui.cpp.

## Member Function Documentation

virtual void AirportPickerWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 260 of file airport_gui.cpp.

References _settings_client, DeleteWindowById(), ClientSettings::gui, Window::SetWidgetLoweredState(), and GUISettings::station_show_coverage.

virtual void AirportPickerWindow::OnInvalidateData | ( | int | data = `0` | ) | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | information about the changed data.

Reimplemented from Window.

Definition at line 245 of file airport_gui.cpp.

References AirportSpec::Get(), and Window::SetWidgetDisabledState().

virtual void AirportPickerWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 202 of file airport_gui.cpp.

References _settings_game, CA_UNMODIFIED, AirportSpec::catchment, NWidgetBase::current_x, NWidgetBase::current_y, DrawStationCoverageAreaText(), DrawString(), Window::DrawWidgets(), GameSettings::economy, FONT_HEIGHT_NORMAL, AirportSpec::Get(), StationSettings::modified_catchment, AirportSpec::noise_level, NWidgetBase::pos_x, NWidgetBase::pos_y, ResizeWindow(), SCT_ALL, SetDParam(), NWidgetBase::smallest_y, GameSettings::station, EconomySettings::station_noise_level, Window::top, WD_FRAMERECT_LEFT, WD_FRAMERECT_RIGHT, and WD_PAR_VSEP_NORMAL.

The documentation for this class was generated from the following file:

- src/airport_gui.cpp